Index: trunk/src/civ.m
===================================================================
--- trunk/src/civ.m	(revision 598)
+++ trunk/src/civ.m	(revision 599)
@@ -433,5 +433,5 @@
 % detect the file type, get the movie object if relevant, and look for the corresponding file series:
 % the root name and indices may be corrected by including the first index i1 if a corresponding xml file exists
-[RootPath,SubDirImages,RootFile,i1_series,tild,j1_series,tild,NomTypeIma,FileType,MovieObject]=find_file_series(FilePath,[FileName ImaExt]);
+[RootPath,SubDirImages,RootFile,i1_series,tild,j1_series,tild,NomTypeIma,FileType,FileInfo,MovieObject]=find_file_series(FilePath,[FileName ImaExt]);
 switch FileType
     case {'image','multimage','video','mmreader'}
@@ -2562,5 +2562,5 @@
             % detect the file type, get the movie object if relevant, and look for the corresponding file series:
             % the root name and indices may be corrected by including the first index i1 if a corresponding xml file exists
-            [RootPath,SubDir,RootFile_1,i1_series,i2_series,j1_series,j2_series,nom_type_1,FileType,Object,i1,i2,j1,j2]=find_file_series(FilePath,[FileName Ext]);
+            [RootPath,SubDir,RootFile_1,i1_series,i2_series,j1_series,j2_series,nom_type_1,FileType,FileInfo,Object,i1,i2,j1,j2]=find_file_series(FilePath,[FileName Ext]);
             
             %check image nom type
Index: trunk/src/find_file_series.m
===================================================================
--- trunk/src/find_file_series.m	(revision 598)
+++ trunk/src/find_file_series.m	(revision 599)
@@ -37,5 +37,5 @@
 %AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 
-function [RootPath,SubDir,RootFile,i1_series,i2_series,j1_series,j2_series,NomType,FileType,MovieObject,i1_input,i2_input,j1_input,j2_input]=find_file_series(FilePath,fileinput)
+function [RootPath,SubDir,RootFile,i1_series,i2_series,j1_series,j2_series,NomType,FileType,FileInfo,MovieObject,i1_input,i2_input,j1_input,j2_input]=find_file_series(FilePath,fileinput)
 %------------------------------------------------------------------------
 
@@ -230,5 +230,5 @@
         %% update the file type if the input file does not exist (pb of 0001)
         if isempty(FileType)
-            [FileType,tild,MovieObject]=get_file_type(fullfile(FilePath,dirpair(ifile_min).name));
+            [FileType,FileInfo,MovieObject]=get_file_type(fullfile(FilePath,dirpair(ifile_min).name));
         end
     end
Index: trunk/src/get_file_series.m
===================================================================
--- trunk/src/get_file_series.m	(revision 598)
+++ trunk/src/get_file_series.m	(revision 599)
@@ -57,5 +57,5 @@
         FilePath=fullfile(InputTable{iview,1},InputTable{iview,2});
         fileinput=[InputTable{iview,3} InputTable{iview,4} InputTable{iview,5}];
-        [tild,tild,tild,i1_series{iview},i2_series{iview},j1_series{iview},j2_series{iview},NomType,FileType,MovieObject,i1_input,i2_input,j1_input,j2_input]=find_file_series(FilePath,fileinput);
+        [tild,tild,tild,i1_series{iview},i2_series{iview},j1_series{iview},j2_series{iview},NomType,FileType,FileInfo,MovieObject,i1_input,i2_input,j1_input,j2_input]=find_file_series(FilePath,fileinput);
         i1_series{iview}=squeeze(i1_series{iview}(1,:,:)); %first  pair index
         check_select=i1_series{iview}>=first_i & i1_series{iview}<=last_i;
Index: trunk/src/msgbox_uvmat.m
===================================================================
--- trunk/src/msgbox_uvmat.m	(revision 598)
+++ trunk/src/msgbox_uvmat.m	(revision 599)
@@ -196,5 +196,5 @@
 function varargout = msgbox_uvmat_OutputFcn(hObject, eventdata, handles)
 %------------------------------------------------------------------------
-
+varargout{1}='Cancel';%deg
 % Get default command line output from handles structure
 if isfield(handles,'output')
@@ -214,6 +214,7 @@
     end
     % The figure can be deleted now
-end
- delete(handles.figure1);
+    delete(handles.figure1);
+end
+%  delete(handles.figure1);
 
 %------------------------------------------------------------------------ 
Index: trunk/src/series.m
===================================================================
--- trunk/src/series.m	(revision 598)
+++ trunk/src/series.m	(revision 599)
@@ -282,5 +282,5 @@
      oldfile=fullfile(RootPathCell{1},SubDirCell{1},RootFileCell{1});
  end
-[FileName, PathName, filterindex] = uigetfile( ...
+[FileName, PathName] = uigetfile( ...
        {'*.xml;*.xls;*.png;*.tif;*.avi;*.AVI;*.nc', ' (*.xml,*.xls, *.png,*.tif, *.avi,*.nc)';
        '*.xml',  '.xml files '; ...
@@ -304,5 +304,5 @@
             set_object(Param.ProjObject)
         end
-        set(handles.REFRESH,'UserData',[1:size(Param.InputTable,1)])
+        set(handles.REFRESH,'UserData',1:size(Param.InputTable,1))
         REFRESH_Callback([],[], handles)
         return
@@ -456,5 +456,5 @@
         RootPath=fileparts(RootPath); %will try the upped forldr
     else
-        [RootPath,SubDir,RootFile,i1_series,i2_series,j1_series,j2_series,tild,FileType,MovieObject]=...
+        [RootPath,SubDir,RootFile,i1_series,i2_series,j1_series,j2_series,tild,FileType,FileInfo,MovieObject]=...
             find_file_series(fullfile(InputTable{iview,1},InputTable{iview,2}),[InputTable{iview,3} InputTable{iview,4} InputTable{iview,5}]);
     end
@@ -475,5 +475,5 @@
         display_file_name(handles,fileinput,iview)
     else
-        update_rootinfo(handles,i1_series,i2_series,j1_series,j2_series,FileType,MovieObject,iview)
+        update_rootinfo(handles,i1_series,i2_series,j1_series,j2_series,FileType,FileInfo,MovieObject,iview)
     end
 end
@@ -514,5 +514,5 @@
 % detect the file type, get the movie object if relevant, and look for the corresponding file series:
 % the root name and indices may be corrected by including the first index i1 if a corresponding xml file exists
-[RootPath,SubDir,RootFile,i1_series,i2_series,j1_series,j2_series,NomType,FileType,MovieObject,i1,i2,j1,j2]=find_file_series(FilePath,[FileName FileExt]);
+[RootPath,SubDir,RootFile,i1_series,i2_series,j1_series,j2_series,NomType,FileType,FileInfo,MovieObject,i1,i2,j1,j2]=find_file_series(FilePath,[FileName FileExt]);
 if isempty(RootFile)&&isempty(i1_series)
     errormsg='no input file in the series';
@@ -581,10 +581,10 @@
 
 %% initiate input file series and refresh the current field view:     
-update_rootinfo(handles,i1_series,i2_series,j1_series,j2_series,FileType,MovieObject,iview);
+update_rootinfo(handles,i1_series,i2_series,j1_series,j2_series,FileType,FileInfo,MovieObject,iview);
 
 %------------------------------------------------------------------------
 % --- Update information about a new field series (indices to scan, timing,
 %     calibration from an xml file
-function update_rootinfo(handles,i1_series,i2_series,j1_series,j2_series,FileType,VideoObject,iview)
+function update_rootinfo(handles,i1_series,i2_series,j1_series,j2_series,FileType,FileInfo,VideoObject,iview)
 %------------------------------------------------------------------------
 %% update the output dir
@@ -708,4 +708,5 @@
 NbSlice_calib={};
 XmlFileName=find_imadoc(InputTable{iview,1},InputTable{iview,2},InputTable{iview,3},InputTable{iview,5});
+TimeUnit='';
 if ~isempty(XmlFileName)
         [XmlData,warntext]=imadoc2struct(XmlFileName);
@@ -769,8 +770,12 @@
 %% number of slices
 NbSlice=1;%default
-if isfield(XmlData,'GeometryCalib') && isfield(XmlData.GeometryCalib,'SliceCoord')
+heck_calib=0;
+if isfield(XmlData,'GeometryCalib') 
+    check_calib=1;
+    if isfield(XmlData.GeometryCalib,'SliceCoord')
     siz=size(XmlData.GeometryCalib.SliceCoord);
     if siz(1)>1
         NbSlice=siz(1);
+    end
     end
 end
@@ -793,5 +798,12 @@
 SeriesData.j2_series{iview}=j2_series;
 SeriesData.FileType{iview}=FileType;
+SeriesData.FileInfo{iview}=FileInfo;
 SeriesData.Time{iview}=time;
+if ~isempty(TimeUnit)
+    SeriesData.TimeUnit=TimeUnit;
+end
+if check_calib
+SeriesData.GeometryCalib{iview}=XmlData.GeometryCalib;
+end
 set(handles.series,'UserData',SeriesData)
 
@@ -1313,5 +1325,8 @@
 [Series,OutputDir,errormsg]=prepare_jobs(handles);% get parameters form the GUI series
 if ~isempty(errormsg)
+    if ~strcmp(errormsg,'Cancel')
     msgbox_uvmat('ERROR',errormsg)
+    end
+    STOP_Callback([],[], handles)
     return
 end
@@ -1681,5 +1696,8 @@
     while detect
         answer=msgbox_uvmat('INPUT_Y-N',['use existing ouput directory: ' fullfile(Series.InputTable{1,1},SubDirOutNew) ', possibly delete previous data']);
-        if isequal(answer,'Yes')
+        if strcmp(answer,'Cancel')
+            errormsg='Cancel';
+            return
+        elseif strcmp(answer,'Yes')
             detect=0;
             check_create=0;
@@ -1849,5 +1867,7 @@
 [Series,tild,errormsg]=prepare_jobs(handles);% read the parameters from the GUI series
 if ~isempty(errormsg)
+    if ~strcmp(errormsg,'Cancel')
     msgbox_uvmat('ERROR',errormsg)
+    end
     return
 end
@@ -2386,4 +2406,8 @@
     Param=read_GUI(handles.series);
     RootPath=Param.InputTable{1,1};
+    if ~isfield(Param,'OutputSubDir')   
+        msgbox_uvmat('ERROR','no directory defined for output files')
+        return
+    end
     OutputSubDir=[Param.OutputSubDir Param.OutputDirExt];% subdirectory for output files
     OutputDir=fullfile(RootPath,OutputSubDir);
